﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;

namespace WindowsGame3
{
    class Map:GameEngine
    {
        public const int mapSize = 25;
        private Texture2D texture;
        private Texture2D cloud1;
        private Texture2D cloud2;
        Rectangle rectcloud1;
        Rectangle rectcloud2;
        Point p=new Point();

        public override void LoadContent(ContentManager content)
        {
            texture = content.Load<Texture2D>("waterbg");
            cloud1 = content.Load<Texture2D>("cloud");
            cloud2 = content.Load<Texture2D>("cloud2");
        }

        public override void Update(KeyboardState input)
        {
            if (p.Y-450 > 700)
                p.Y = 0;
            p.Y+=1;
            rectcloud1 = new Rectangle(130, p.Y-89, 255, 89);
            rectcloud2 = new Rectangle(600, p.Y-405, 207, 405);
        }

        public override void Draw(Microsoft.Xna.Framework.Graphics.SpriteBatch spritebatch)
        {
            for (int i = 0; i < mapSize; i++)
            {
                spritebatch.Draw(texture, new Rectangle(0, i * 32, 32, 32), Color.AliceBlue);
                for (int j = 0; j < mapSize; j++)
                {
                    spritebatch.Draw(texture, new Rectangle(j * 32, i * 32, 32, 32), Color.AliceBlue);
                }
            }
            spritebatch.Draw(cloud1, rectcloud1, Color.Beige);
            spritebatch.Draw(cloud2, rectcloud2, Color.Beige);
        }
  
    }
}
