﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace WindowsGame3
{
    class Spirit:Game
    {
        Texture2D texture;
        Rectangle rectanle;
        Rectangle cutout;
        int index;
        static Point spiritLocation = new Point();

        public static Point SpiritLocation
        {
            get { return spiritLocation; }
            set { spiritLocation = value; }
        }

        public Spirit(GameEngine ge)
            : base(ge)
        {

        }

        public override void LoadContent(ContentManager content)
        {
            base.LoadContent(content);
            texture = content.Load<Texture2D>("Spirit");

        }

        public override void Update(KeyboardState input)
        {
            base.Update(input);
            
            KeyboardState kbs = input;

            if (kbs.IsKeyDown(Keys.Up) || kbs.IsKeyDown(Keys.W))
            {
                if (spiritLocation.Y < 0)
                    spiritLocation.Y = 1;
                spiritLocation.Y -= 6;

            }
            if (kbs.IsKeyDown(Keys.Down) || kbs.IsKeyDown(Keys.S))
            {
                if (spiritLocation.Y > 500)
                    spiritLocation.Y = 500;
                spiritLocation.Y += 6;

            }
            if (kbs.IsKeyDown(Keys.Left) || kbs.IsKeyDown(Keys.A))
            {
                if (spiritLocation.X < 0)
                    spiritLocation.X = 1;
                
                spiritLocation.X -= 6;

            }
            if (kbs.IsKeyDown(Keys.Right) || kbs.IsKeyDown(Keys.D))
            {
                if (spiritLocation.X > 730)
                    spiritLocation.X = 730;
                spiritLocation.X += 6;
               
            }
            if (kbs.IsKeyDown(Keys.Space))
            {
                Bullet.Location = spiritLocation;

            }
            rectanle = new Rectangle(spiritLocation.X, spiritLocation.Y, 65, 95);
            index = index < 3 ? index : 0;
            cutout = new Rectangle(index * 65, 0, 65, 95);
            index++;
        }

        public override void Draw(Microsoft.Xna.Framework.Graphics.SpriteBatch spritebatch)
        {
            base.Draw(spritebatch);
            spritebatch.Draw(texture,rectanle,cutout, Color.AliceBlue);
        }
    }
}
