﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace WindowsGame3
{
    class Bullet : Game
    {
        Texture2D texture;
        static Rectangle[] rectanlges;

        public static Rectangle[] Rectanlges
        {
            get { return Bullet.rectanlges; }
            set { Bullet.rectanlges = value; }
        }
        static Point location;
        int index;


        public static Point Location
        {
            get { return location; }
            set { location = value; }
        }

        public Bullet(GameEngine ge)
            : base(ge)
        {

        }

        public override void LoadContent(ContentManager content)
        {
            base.LoadContent(content);
            texture = content.Load<Texture2D>("bullet");
            rectanlges = new Rectangle[bulletCount];
        }

        public override void Update(KeyboardState input)
        {
            base.Update(input);
            
            if (input.IsKeyDown(Keys.Space))
            {
                index = index < rectanlges.Length ? index : 0;
                if (rectanlges[index].Y <= 0)
                {
                    int x = 0;
                    int y = 0;
                    if (index % 2 != 0)
                    {
                        x = location.X + 50;
                        y = location.Y;
                    }
                    else
                    {
                        x = location.X;
                        y = location.Y ;
                    }
                    rectanlges[index] = new Rectangle(x, y, 9, 20);
                }
                index++;

            }
            for (int i = 0; i < rectanlges.Length; i++)
            {
                if (rectanlges[i].Y <= -10)
                    rectanlges[i].X = -1;

                rectanlges[i].Y -= 10;
            }

        }

        public override void Draw(SpriteBatch spritebatch)
        {
            base.Draw(spritebatch);
            foreach (Rectangle rectangle in rectanlges)
            {
                spritebatch.Draw(texture, rectangle, Color.AliceBlue);
            }
        }
    }
}
