﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace WindowsGame3
{
    class EnemyBullet:Game
    {
        Texture2D texture;
        static Rectangle[] rectanlges;

        public static Rectangle[] Rectanlges
        {
            get { return EnemyBullet.rectanlges; }
            set { EnemyBullet.rectanlges = value; }
        }
        static Point location;
        int index;


        public static Point Location
        {
            get { return location; }
            set { location = value; }
        }

        public EnemyBullet(GameEngine ge)
            : base(ge)
        { }

        public override void LoadContent(ContentManager content)
        {
            base.LoadContent(content);
            texture = content.Load<Texture2D>("bullet");
            rectanlges = new Rectangle[6];
        }

        public override void Update(KeyboardState input)
        {
            base.Update(input);

            index = index < rectanlges.Length ? index : 0;
            if (rectanlges[index].Y >= 700)
            {

                rectanlges[index] = new Rectangle(location.X + 10, location.Y, 9, 20);
            }
            index++;


            for (int i = 0; i < rectanlges.Length; i++)
            {
                if (rectanlges[i].Y >= 700)
                    rectanlges[i].X = -1;
                if (rectanlges[i].X < Spirit.SpiritLocation.X)
                    rectanlges[i].X += 1;

                if (rectanlges[i].X > Spirit.SpiritLocation.X)
                    rectanlges[i].X -= 1;

                rectanlges[i].Y += 6;
                  

                if (Spirit.SpiritLocation.X <= rectanlges[i].X && Spirit.SpiritLocation.X + 60 >= rectanlges[i].X && Spirit.SpiritLocation.Y <= rectanlges[i].Y && Spirit.SpiritLocation.Y + 80 >= rectanlges[i].Y)
                {
                    dieCount += 1;
                    Spirit.SpiritLocation = new Point(400, 500);

                }
            }
        }

        public override void Draw(SpriteBatch spritebatch)
        {
            base.Draw(spritebatch);
            foreach (Rectangle rectangle in rectanlges)
            {
                spritebatch.Draw(texture, rectangle, Color.AliceBlue);
            }
        }
    }
}
