﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace WindowsGame3
{
    abstract class Game:GameEngine
    {
        
        public int bulletCount = 8;
        public static int integral = 0;
        public static int dieCount = 0;

        private GameEngine ge;
        SpriteFont sf;
        Texture2D texture;
        public Game(GameEngine ge)
        {
            this.ge = ge;
        }
        public override void LoadContent(ContentManager content)
        {
            ge.LoadContent(content);
            sf = content.Load<SpriteFont>("SpriteFont1");
            texture = content.Load<Texture2D>("waterbg");
        }

        public override void Update(KeyboardState input)
        {
            ge.Update(input);
        }

        public override void Draw(Microsoft.Xna.Framework.Graphics.SpriteBatch spritebatch)
        {
            ge.Draw(spritebatch);

            for (int i = 0; i < 2; i++)
            {
                spritebatch.Draw(texture, new Rectangle(0, i * 32, 32, 32), Color.AliceBlue);
                for (int j = 0; j < 4; j++)
                {
                    spritebatch.Draw(texture, new Rectangle(j * 32, i * 32, 32, 32), Color.AliceBlue);
                }
            }

            string strintegral = string.Format("Integral:{0}", integral);

            spritebatch.DrawString(sf, strintegral, new Vector2(1f, 1f), Color.Beige);

            string strdiecount = string.Format("DieCount:{0}", dieCount);

            spritebatch.DrawString(sf, strdiecount, new Vector2(1f, 20f), Color.Beige);
        }
    }
}
